Package org.eclipse.m2m.atl.emftvm.util

## Class DefaultModuleResolver

- java.lang.Object
- - org.eclipse.m2m.atl.emftvm.util.DefaultModuleResolver

All Implemented Interfaces:
  `ModuleResolver`

    public class DefaultModuleResolver
    extends java.lang.Object
    implements ModuleResolver

Resolves modules based on an EMF URI prefix.

### Field Summary

Fields
`static java.lang.String` `FILE_EXT` EMFTVM file extension to add when resolving modules.

### Constructor Summary

Constructors
`DefaultModuleResolver​(java.lang.String uriPrefix, org.eclipse.emf.ecore.resource.ResourceSet resourceSet)` Creates a new `DefaultModuleResolver`.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addUriPrefix​(java.lang.String uriPrefix)` Adds `uriPrefix` to the URI prefixes list.
`org.eclipse.emf.ecore.resource.ResourceSet` `getResourceSet()` Returns the EMF `ResourceSet`.
`java.util.List<java.lang.String>` `getUriPrefixes()` Returns the URI prefixes.
`Module` `resolveModule​(java.lang.String name)` Resolves the module with the given

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### FILE_EXT

    public static final java.lang.String FILE_EXT

EMFTVM file extension to add when resolving modules.

See Also:
  Constant Field Values

### Constructor Detail

#### DefaultModuleResolver

    public DefaultModuleResolver​(java.lang.String uriPrefix,
                                 org.eclipse.emf.ecore.resource.ResourceSet resourceSet)

Creates a new `DefaultModuleResolver`.

Parameters:
  `uriPrefix` - the URI prefix to prepend to module names
  `resourceSet` - the EMF `ResourceSet` to load modules into

### Method Detail

#### resolveModule

    public Module resolveModule​(java.lang.String name)
                         throws ModuleNotFoundException

Resolves the module with the given

    name

.

Specified by:
  `resolveModule` in interface `ModuleResolver`
Parameters:
  `name` - the module name
Returns:
  the module with the given name
Throws:
  `ModuleNotFoundException`

#### getUriPrefixes

    public java.util.List<java.lang.String> getUriPrefixes()

Returns the URI prefixes.

Returns:
  the uriPrefixes

#### addUriPrefix

    public void addUriPrefix​(java.lang.String uriPrefix)

Adds `uriPrefix` to the URI prefixes list.

Parameters:
  `uriPrefix` - the URI prefix to add

#### getResourceSet

    public org.eclipse.emf.ecore.resource.ResourceSet getResourceSet()

Returns the EMF `ResourceSet`.

Returns:
  the resourceSet